> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trlyr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update schedule for a physical asset



## OpenAPI

````yaml https://api.trlyr.com/physical-assets/docs/doc.json put /physical-assets/{physicalAssetID}/schedule
openapi: 3.1.0
info:
  description: >
    This API manages physical assets on the terralayr platform: asset
    parameters, schedules, ancillary bids and results, metadata, logbook
    entries, unavailabilities, and EEX notifications. 
     
    Endpoints documented here require a valid Bearer token and the appropriate
    organisation permissions for the physical asset. 
     
    ### Authorization 
     
    All documented endpoints require a Bearer-type `Authorization` header: 
     
    ``` 

    Authorization: Bearer <YOUR_TOKEN> 

    ``` 
     
    Obtain a token via the Auth API: 
     
    ``` 

    POST https://api.trlyr.com/auth/public/authenticate 

    ``` 
     
    Example POST body: 
     
    ``` 

    { 
        "username": "YOUR_USERNAME", 
        "password": "YOUR_PASSWORD" 
    } 

    ``` 
     
     
    If you have any questions, contact support@trlyr.com. 
  title: terralayr Physical Assets API
  version: 1.0.0
servers:
  - description: Production API
    url: https://api.trlyr.com
  - description: Sandbox API
    url: https://api.sandbox.trlyr.com
security: []
tags:
  - name: health
  - name: physical-assets
  - name: schedule
  - name: ancillary
  - name: metadata
  - name: logbook
  - name: eex
externalDocs:
  description: ''
  url: ''
paths:
  /physical-assets/{physicalAssetID}/schedule:
    put:
      tags:
        - schedule
      summary: Update schedule for a physical asset
      parameters:
        - description: Access token
          in: header
          name: Authorization
          required: true
          schema:
            default: Bearer <access token value>
            type: string
        - description: Physical asset ID
          in: path
          name: physicalAssetID
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/pkg_models_http_v0_requests.UpdateScheduleBody
              description: Schedule instructions
              summary: schedule
        description: Schedule instructions
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                type: object
          description: Accepted
        '400':
          description: Bad Request
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    pkg_models_http_v0_requests.UpdateScheduleBody:
      properties:
        ignoreFullUnavailability:
          example: false
          format: bool
          type: boolean
        manualOverride:
          example: false
          format: bool
          type: boolean
        schedule:
          items:
            $ref: >-
              #/components/schemas/pkg_models_http_v0_requests.UpdateInstructionBody
          type: array
          uniqueItems: false
      required:
        - schedule
      type: object
    pkg_models_http_v0_requests.UpdateInstructionBody:
      properties:
        power:
          example: 380
          format: float
          type: number
        timestamp:
          example: '2023-11-11T14:30:00Z'
          format: dateTime
          type: string
      required:
        - power
        - timestamp
      type: object

````